OPENSSL-DSA(1SSL)

NUME
openssl-dsa - procesarea cheilor DSA

SINOPSIS
openssl dsa [-help] [-inform DER|PEM] [-outform DER|PEM] [-in nume-fișier] [-passin argument] [-out nume-fișier] [-passout arg] [-aes128] [-aes192] [-aes256] [-aria128] [-aria192] [-aria256] [-camellia128] [-camellia192] [-camellia256] [-des] [-des3] [-idea] [-text] [-noout] [-modulus] [-pubin] [-pubout] [-pvk-strong] [-pvk-weak] [-pvk-none] [-engine id] [-provider nume] [-provider-path ruta] [-provparam [nume:]cheie=valoare] [-propquery propq]

DESCRIERE
Această comandă procesează cheile DSA. Acestea pot fi convertite între diferite formate, iar componentele lor pot fi imprimate. Notă Această comandă utilizează formatul tradițional compatibil SSLeay pentru criptarea cheilor private: aplicațiile mai noi ar trebui să utilizeze formatul PKCS#8, mai sigur, utilizând pkcs8.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-inform DER|PEM
    Formatul de intrare al cheii; nespecificat în mod implicit. Consultați openssl-format-options(1) pentru detalii.

-outform DER|PEM
    Formatul de ieșire al cheii; implicit este PEM. Consultați openssl-format-options(1) pentru detalii.

    Cheile private sunt o secvență de ASN.1 INTEGERS: versiunea (zero), p, q, g și componentele cheii publice și private. Cheile publice sunt o structură SubjectPublicKeyInfo de tip DSA.

    Formatul PEM acceptă și date PKCS#8.

-in nume-fișier
    Aceasta specifică numele fișierului de intrare din care se citește o cheie sau intrarea standard dacă această opțiune nu este specificată. Dacă cheia este criptată, va fi solicitată o frază de acces.

-out nume-fișier
    Aceasta specifică numele fișierului de ieșire în care se va scrie o cheie sau ieșirea standard, dacă nu este specificată. Dacă sunt definite opțiuni de criptare, va fi solicitată o frază de acces. Numele fișierului de ieșire nu trebuie să fie același cu numele fișierului de intrare.

-passin argument, -passout argument
    Sursa parolei pentru fișierul de intrare și de ieșire. Pentru mai multe informații despre formatul argument, consultați openssl-passphrase-options(1).

-aes128, -aes192, -aes256, -aria128, -aria192, -aria256, -camellia128, -camellia192, -camellia256, -des, -des3, -idea
    Aceste opțiuni criptează cheia privată cu algoritmul specificat înainte de a o afișa. Se solicită introducerea unei fraze de acces. Dacă nu este specificată niciuna dintre aceste opțiuni, cheia este scrisă în text simplu. Aceasta înseamnă că această comandă poate fi utilizată pentru a elimina fraza de acces dintr-o cheie, fără a specifica nicio opțiune de criptare, sau pentru a adăuga sau modifica fraza de acces, prin definirea acestor opțiuni. Aceste opțiuni pot fi utilizate numai cu fișiere de ieșire în format PEM.

-text
    Afișează componentele și parametrii cheii publice și private.

-noout
    Această opțiune împiedică ieșirea versiunii codificate a cheii.

-modulus
    Această opțiune afișează valoarea componentei cheii publice a cheii.

-pubin
    În mod implicit, o cheie privată este citită de la intrare. Cu această opțiune, se citește în schimb o cheie publică. Dacă intrarea nu conține o cheie publică, ci o cheie privată, se utilizează partea sa publică.

-pubout
    În mod implicit, se generează o cheie privată. Cu această opțiune, se va genera în schimb o cheie publică. Această opțiune este activată automat dacă intrarea este o cheie publică.

-pvk-strong
    Activează nivelul de codificare PVK „Strong” (implicit).

-pvk-weak
    Activează nivelul de codificare PVK „Weak”.

-pvk-none
    Nu impune(aplică) codificarea PVK.

-engine id
    Consultați secțiunea «Opțiuni motor» din openssl(1). Această opțiune este depreciată.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

Comanda openssl-pkey(1) este capabilă să efectueze toate operațiile pe care le poate efectua această comandă, precum și să accepte alte tipuri de chei publice.

EXEMPLE
Documentația pentru comanda openssl-pkey(1) conține exemple echivalente cu cele enumerate aici.

Pentru a elimina fraza de acces dintr-o cheie privată DSA:

 openssl dsa -in key.pem -out keyout.pem

Pentru a cripta o cheie privată utilizând DES triplu:

 openssl dsa -in key.pem -des3 -out keyout.pem

Pentru a converti o cheie privată din format PEM în format DER:

 openssl dsa -in key.pem -outform DER -out keyout.der

Pentru a afișa componentele unei chei private la ieșirea standard:

 openssl dsa -in key.pem -text -noout

Pentru a emite doar partea publică a unei chei private:

 openssl dsa -in key.pem -pubout -out pubkey.pem

CONSULTAȚI ȘI
openssl(1), openssl-pkey(1), openssl-dsaparam(1), openssl-gendsa(1), openssl-rsa(1), openssl-genrsa(1)

ISTORIC
Opțiunea -engine a fost depreciată în OpenSSL 3.0.

DREPTURI DE AUTOR
Drepturi de autor 2000-2023 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.